bdi4jade.examples

## Class BDI4JADEExamplesAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - bdi4jade.examples.BDI4JADEExamplesAction

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

      public abstract class BDI4JADEExamplesAction
      extends javax.swing.AbstractAction

  This class is an abstract action used as a base for actions to test BDI4JADE agents. Each action has an agent and a name, and subclasses should implement the `ActionListener.actionPerformed(java.awt.event.ActionEvent)` method to add goals to agents, for example.
  Author:
    Ingrid Nunes
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.commons.logging.Log` | `log`

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BDI4JADEExamplesAction()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,jade.core.Agent>` | `getAgentMap()`
    `abstract java.util.Set<jade.core.Agent>` | `getAgents()`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.event.ActionListener

      `actionPerformed`

- - ### Field Detail

    - #### log

          protected final org.apache.commons.logging.Log log

  - ### Constructor Detail

    - #### BDI4JADEExamplesAction

          protected BDI4JADEExamplesAction()

  - ### Method Detail

    - #### getAgentMap

          public java.util.Map<java.lang.String,jade.core.Agent> getAgentMap()

    - #### getAgents

          public abstract java.util.Set<jade.core.Agent> getAgents()